/************************************************************************* 
 
    Quick And Dirty Apricot Emulator
    Copyright (C) 2005,2007  John Elliott <jce@seasip.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*************************************************************************/

#ifndef CRTC_HXX_INCLUDED
#define CRTC_HXX_INCLUDED
/* Dummy MC6845 */
struct CRTC
{
	u_int8 m_reg[18];
	u_int8 m_cur;

	inline void set(u_int8 value)
	{
		if (m_cur < 18) m_reg[m_cur] = value;
	}

	inline u_int8 get()
	{
		if (m_cur < 18) return m_reg[m_cur];
		return 0xff;
	}
};

#endif

